wxwidgets2.6 2.6.3.2.2-5ubuntu1 source package in Ubuntu

Changelog

wxwidgets2.6 (2.6.3.2.2-5ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (main), remaining Ubuntu changes:
    - remove files which broke update-alternatives
    - debian/rules: add debian/control target to .PHONY in order to regenerate
      debian/control from debian/control.in each time.
    - debian/python-wxgtk.{postinst, prerm} fix update-alternatives call to
      install links for each supported Python version.
    - debian/control.in: add bc to Build-Depends field.
    - debian/control.in: adjust dependencies and conflicts for the
      python-wxversion changes that were applied in Ubuntu on wxwidgets2.8
      2.8.6.1-0ubuntu2 package.

wxwidgets2.6 (2.6.3.2.2-5) unstable; urgency=low

  * call dh_pycentral when building the .deb, not when installing into
    debian/<pkg>. some files get moved later in the build process.
    (Closes: #566960)

wxwidgets2.6 (2.6.3.2.2-4) unstable; urgency=low

  * set maintainer to the team, uploaders to me and ron
  * python-wxversion doesn't have to depend on 'python-wxgtk2.6 |
    python-wxgtk2.8' (see bug #479738)
  * fix to install correctly under Python 2.6 (Closes: #557943)
  * make wxwidgets 2.8 the default
  * update config.{sub,guess} (Closes: #539605)
  * make things get installed to the correct places with the
    multiversion stuff on python2.6
  * add libexpat1-dev to build deps and pass --with-expat=sys to
    configure (Closes: #560916)

wxwidgets2.6 (2.6.3.2.2-3.1) unstable; urgency=high

  * Non-maintainer upload by the testing Security Team
  * Fixed Integer overflow in the wxImage::Create function.
    (CVE-2009-2369) (Closes: #537175)
  * Avoid name clashes with GSocket from glib 2.21+ and fixed FTBFS
 -- Devid Antonio Filoni <email address hidden>   Fri, 06 Aug 2010 22:29:31 +0200

Upload details

Uploaded by:
Devid Antonio Filoni on 2010-08-06
Uploaded to:
Maverick
Original maintainer:
Ubuntu Development Team
Architectures:
any
Section:
libs
Urgency:
Very Urgent

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
wxwidgets2.6_2.6.3.2.2.orig.tar.gz 14.4 MiB ed443432fba1fcbaa6d90b9d9cc0248aed1dec0f15e159f95f470f5ca009efda
wxwidgets2.6_2.6.3.2.2-5ubuntu1.diff.gz 138.7 KiB 461dcb58f68f65cc10beafcf4510ac91c50b0839de890ee59aef6d3ab1ae62ae
wxwidgets2.6_2.6.3.2.2-5ubuntu1.dsc 1.7 KiB 938099ce2f89b6dc75d5a4a170d83df65e2806582c30203755de22f7ade773b9

View changes file

Binary packages built by this source

libwxbase2.6-0: No summary available for libwxbase2.6-0 in ubuntu natty.

No description available for libwxbase2.6-0 in ubuntu natty.

libwxbase2.6-dbg: No summary available for libwxbase2.6-dbg in ubuntu maverick.

No description available for libwxbase2.6-dbg in ubuntu maverick.

libwxbase2.6-dev: No summary available for libwxbase2.6-dev in ubuntu maverick.

No description available for libwxbase2.6-dev in ubuntu maverick.

libwxgtk2.6-0: No summary available for libwxgtk2.6-0 in ubuntu natty.

No description available for libwxgtk2.6-0 in ubuntu natty.

libwxgtk2.6-dbg: No summary available for libwxgtk2.6-dbg in ubuntu maverick.

No description available for libwxgtk2.6-dbg in ubuntu maverick.

libwxgtk2.6-dev: No summary available for libwxgtk2.6-dev in ubuntu maverick.

No description available for libwxgtk2.6-dev in ubuntu maverick.

python-wxgtk2.6: No summary available for python-wxgtk2.6 in ubuntu maverick.

No description available for python-wxgtk2.6 in ubuntu maverick.

python-wxgtk2.6-dbg: No summary available for python-wxgtk2.6-dbg in ubuntu natty.

No description available for python-wxgtk2.6-dbg in ubuntu natty.

wx2.6-doc: No summary available for wx2.6-doc in ubuntu natty.

No description available for wx2.6-doc in ubuntu natty.

wx2.6-examples: No summary available for wx2.6-examples in ubuntu maverick.

No description available for wx2.6-examples in ubuntu maverick.

wx2.6-headers: No summary available for wx2.6-headers in ubuntu natty.

No description available for wx2.6-headers in ubuntu natty.

wx2.6-i18n: No summary available for wx2.6-i18n in ubuntu maverick.

No description available for wx2.6-i18n in ubuntu maverick.